Index: LMDZ5/trunk/libf/phylmd/1D_read_forc_cases.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/1D_read_forc_cases.h	(revision 2018)
+++ LMDZ5/trunk/libf/phylmd/1D_read_forc_cases.h	(revision 2019)
@@ -8,6 +8,6 @@
       nq2=0
 
-      if (forcing_les .or. forcing_radconv
-     :    .or. forcing_GCSSold .or. forcing_fire) then
+      if (forcing_les .or. forcing_radconv                                      &
+     &    .or. forcing_GCSSold .or. forcing_fire) then
 
       if (forcing_fire) then
@@ -16,8 +16,8 @@
 !----------------------------------------------------------------------
       fich_fire='fire.nc'
-      call read_fire(fich_fire,nlev_fire,nt_fire
-     :     ,height,tttprof,qtprof,uprof,vprof,e12prof
-     :     ,ugprof,vgprof,wfls,dqtdxls
-     :     ,dqtdyls,dqtdtls,thlpcar)
+      call read_fire(fich_fire,nlev_fire,nt_fire                                &
+     &     ,height,tttprof,qtprof,uprof,vprof,e12prof                           &
+     &     ,ugprof,vgprof,wfls,dqtdxls                                          &
+     &     ,dqtdyls,dqtdtls,thlpcar)
       write(*,*) 'Forcing FIRE lu'
       kmax=120            ! nombre de niveaux dans les profils et forcages
@@ -28,9 +28,9 @@
 !----------------------------------------------------------------------
 
-      call readprofiles(nlev_max,kmax,nqtot,height,
-     .           tttprof,qtprof,uprof,vprof,
-     .           e12prof,ugprof,vgprof,
-     .           wfls,dqtdxls,dqtdyls,dqtdtls,
-     .           thlpcar,qprof,nq1,nq2)
+      call readprofiles(nlev_max,kmax,nqtot,height,                             &
+     &           tttprof,qtprof,uprof,vprof,                                    &
+     &           e12prof,ugprof,vgprof,                                         &
+     &           wfls,dqtdxls,dqtdyls,dqtdtls,                                  &
+     &           thlpcar,qprof,nq1,nq2)
       endif
 
@@ -66,11 +66,10 @@
         ug(l)   = ugprof(kmax)-frac*( ugprof(kmax)- ugprof(kmax-1))
         vg(l)   = vgprof(kmax)-frac*( vgprof(kmax)- vgprof(kmax-1))
-        IF (nq2>0) q(l,nq1:nq2)=qprof(kmax,nq1:nq2)
-     s               -frac*(qprof(kmax,nq1:nq2)-qprof(kmax-1,nq1:nq2))
+        IF (nq2>0) q(l,nq1:nq2)=qprof(kmax,nq1:nq2)                         &
+     &               -frac*(qprof(kmax,nq1:nq2)-qprof(kmax-1,nq1:nq2))
         omega(l)=   wfls(kmax)-frac*(   wfls(kmax)-   wfls(kmax-1))
 
         dq_dyn(l,1) = dqtdtls(kmax)-frac*(dqtdtls(kmax)-dqtdtls(kmax-1))
-        dt_cooling(l)
-     .          =thlpcar(kmax)-frac*(thlpcar(kmax)-thlpcar(kmax-1))
+        dt_cooling(l)=thlpcar(kmax)-frac*(thlpcar(kmax)-thlpcar(kmax-1))
         do k=2,kmax
           frac = (height(k)-zlay(l))/(height(k)-height(k-1))
@@ -91,10 +90,9 @@
             ug(l)   = ugprof(k)-frac*( ugprof(k)- ugprof(k-1))
             vg(l)   = vgprof(k)-frac*( vgprof(k)- vgprof(k-1))
-            IF (nq2>0) q(l,nq1:nq2)=qprof(k,nq1:nq2)
-     s                   -frac*(qprof(k,nq1:nq2)-qprof(k-1,nq1:nq2))
+            IF (nq2>0) q(l,nq1:nq2)=qprof(k,nq1:nq2)                        &
+     &                   -frac*(qprof(k,nq1:nq2)-qprof(k-1,nq1:nq2))
             omega(l)=   wfls(k)-frac*(   wfls(k)-   wfls(k-1))
             dq_dyn(l,1)=dqtdtls(k)-frac*(dqtdtls(k)-dqtdtls(k-1))
-            dt_cooling(l)
-     .              =thlpcar(k)-frac*(thlpcar(k)-thlpcar(k-1))
+            dt_cooling(l)=thlpcar(k)-frac*(thlpcar(k)-thlpcar(k-1))
           elseif(zlay(l)<height(1)) then ! profils uniformes pour z<height(1)
             ttt =tttprof(1)
@@ -144,10 +142,10 @@
        fich_gcssold_dat = './forcing8.dat'
        call copie(llm,play,psurf,fich_gcssold_ctl)
-       call get_uvd2(it,timestep,fich_gcssold_ctl,fich_gcssold_dat,
-     :               ht_gcssold,hq_gcssold,hw_gcssold,
-     :               hu_gcssold,hv_gcssold,
-     :               hthturb_gcssold,hqturb_gcssold,Ts_gcssold,
-     :               imp_fcg_gcssold,ts_fcg_gcssold,
-     :               Tp_fcg_gcssold,Turb_fcg_gcssold)
+       call get_uvd2(it,timestep,fich_gcssold_ctl,fich_gcssold_dat,         &
+     &               ht_gcssold,hq_gcssold,hw_gcssold,                      &
+     &               hu_gcssold,hv_gcssold,                                 &
+     &               hthturb_gcssold,hqturb_gcssold,Ts_gcssold,             &
+     &               imp_fcg_gcssold,ts_fcg_gcssold,                        &
+     &               Tp_fcg_gcssold,Turb_fcg_gcssold)
        print *,' get_uvd2 -> hqturb_gcssold ',hqturb_gcssold
       endif ! forcing_GCSSold
@@ -160,7 +158,7 @@
 !       call writefield_phy('omega', omega,llm+1)
       fich_rico = 'rico.txt'
-       call read_rico(fich_rico,nlev_rico,ps_rico,play
-     :             ,ts_rico,t_rico,q_rico,u_rico,v_rico,w_rico
-     :             ,dth_rico,dqh_rico)
+       call read_rico(fich_rico,nlev_rico,ps_rico,play                      &
+     &             ,ts_rico,t_rico,q_rico,u_rico,v_rico,w_rico              &
+     &             ,dth_rico,dqh_rico)
         print*, ' on a lu et prepare RICO'
 
@@ -189,7 +187,7 @@
 ! read TOGA-COARE forcing (native vertical grid, nt_toga timesteps):
       fich_toga = './d_toga/ifa_toga_coare_v21_dime.txt'
-      CALL read_togacoare(fich_toga,nlev_toga,nt_toga
-     :         ,ts_toga,plev_toga,t_toga,q_toga,u_toga,v_toga,w_toga
-     :         ,ht_toga,vt_toga,hq_toga,vq_toga)
+      CALL read_togacoare(fich_toga,nlev_toga,nt_toga                       &
+     &         ,ts_toga,plev_toga,t_toga,q_toga,u_toga,v_toga,w_toga        &
+     &         ,ht_toga,vt_toga,hq_toga,vq_toga)
 
        write(*,*) 'Forcing TOGA lu'
@@ -197,17 +195,17 @@
 ! time interpolation for initial conditions:
       write(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',day,day1
-      CALL interp_toga_time(daytime,day1,annee_ref
-     i             ,year_ini_toga,day_ju_ini_toga,nt_toga,dt_toga
-     i             ,nlev_toga,ts_toga,plev_toga,t_toga,q_toga,u_toga
-     i             ,v_toga,w_toga,ht_toga,vt_toga,hq_toga,vq_toga
-     o             ,ts_prof,plev_prof,t_prof,q_prof,u_prof,v_prof,w_prof
-     o             ,ht_prof,vt_prof,hq_prof,vq_prof)
+      CALL interp_toga_time(daytime,day1,annee_ref                          &
+     &             ,year_ini_toga,day_ju_ini_toga,nt_toga,dt_toga           &
+     &             ,nlev_toga,ts_toga,plev_toga,t_toga,q_toga,u_toga        &
+     &             ,v_toga,w_toga,ht_toga,vt_toga,hq_toga,vq_toga           &
+     &             ,ts_prof,plev_prof,t_prof,q_prof,u_prof,v_prof,w_prof    &
+     &             ,ht_prof,vt_prof,hq_prof,vq_prof)
 
 ! vertical interpolation:
-      CALL interp_toga_vertical(play,nlev_toga,plev_prof
-     :         ,t_prof,q_prof,u_prof,v_prof,w_prof
-     :         ,ht_prof,vt_prof,hq_prof,vq_prof
-     :         ,t_mod,q_mod,u_mod,v_mod,w_mod
-     :         ,ht_mod,vt_mod,hq_mod,vq_mod,mxcalc)
+      CALL interp_toga_vertical(play,nlev_toga,plev_prof                    &
+     &         ,t_prof,q_prof,u_prof,v_prof,w_prof                          &
+     &         ,ht_prof,vt_prof,hq_prof,vq_prof                             &
+     &         ,t_mod,q_mod,u_mod,v_mod,w_mod                               &
+     &         ,ht_mod,vt_mod,hq_mod,vq_mod,mxcalc)
        write(*,*) 'Profil initial forcing TOGA interpole'
 
@@ -239,28 +237,27 @@
       if (forcing_twpice) then
 !read TWP-ICE forcings
-      fich_twpice=
-     : 'd_twpi/twp180iopsndgvarana_v2.1_C3.c1.20060117.000000.cdf'
-      call read_twpice(fich_twpice,nlev_twpi,nt_twpi
-     :     ,ts_twpi,plev_twpi,t_twpi,q_twpi,u_twpi,v_twpi,w_twpi
-     :     ,ht_twpi,vt_twpi,hq_twpi,vq_twpi)
+     fich_twpice='d_twpi/twp180iopsndgvarana_v2.1_C3.c1.20060117.000000.cdf'
+      call read_twpice(fich_twpice,nlev_twpi,nt_twpi                        &
+     &     ,ts_twpi,plev_twpi,t_twpi,q_twpi,u_twpi,v_twpi,w_twpi            &
+     &     ,ht_twpi,vt_twpi,hq_twpi,vq_twpi)
 
       write(*,*) 'Forcing TWP-ICE lu'
 !Time interpolation for initial conditions using TOGA interpolation routine
          write(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',daytime,day1   
-      CALL interp_toga_time(daytime,day1,annee_ref
-     i          ,year_ini_twpi,day_ju_ini_twpi,nt_twpi,dt_twpi,nlev_twpi
-     i             ,ts_twpi,plev_twpi,t_twpi,q_twpi,u_twpi,v_twpi,w_twpi
-     i             ,ht_twpi,vt_twpi,hq_twpi,vq_twpi
-     o             ,ts_proftwp,plev_proftwp,t_proftwp,q_proftwp
-     o             ,u_proftwp,v_proftwp,w_proftwp
-     o             ,ht_proftwp,vt_proftwp,hq_proftwp,vq_proftwp)
+      CALL interp_toga_time(daytime,day1,annee_ref                          &
+     &          ,year_ini_twpi,day_ju_ini_twpi,nt_twpi,dt_twpi,nlev_twpi    &
+     &             ,ts_twpi,plev_twpi,t_twpi,q_twpi,u_twpi,v_twpi,w_twpi    &
+     &             ,ht_twpi,vt_twpi,hq_twpi,vq_twpi                         &
+     &             ,ts_proftwp,plev_proftwp,t_proftwp,q_proftwp             &
+     &             ,u_proftwp,v_proftwp,w_proftwp                           &
+     &             ,ht_proftwp,vt_proftwp,hq_proftwp,vq_proftwp)
 
 ! vertical interpolation using TOGA interpolation routine:
 !      write(*,*)'avant interp vert', t_proftwp
-      CALL interp_toga_vertical(play,nlev_twpi,plev_proftwp
-     :         ,t_proftwp,q_proftwp,u_proftwp,v_proftwp,w_proftwp
-     :         ,ht_proftwp,vt_proftwp,hq_proftwp,vq_proftwp
-     :         ,t_mod,q_mod,u_mod,v_mod,w_mod
-     :         ,ht_mod,vt_mod,hq_mod,vq_mod,mxcalc)
+      CALL interp_toga_vertical(play,nlev_twpi,plev_proftwp                 &
+     &         ,t_proftwp,q_proftwp,u_proftwp,v_proftwp,w_proftwp           &
+     &         ,ht_proftwp,vt_proftwp,hq_proftwp,vq_proftwp                 &
+     &         ,t_mod,q_mod,u_mod,v_mod,w_mod                               &
+     &         ,ht_mod,vt_mod,hq_mod,vq_mod,mxcalc)
 !       write(*,*) 'Profil initial forcing TWP-ICE interpole',t_mod
 
@@ -295,7 +292,7 @@
 !read AMMA forcings
       fich_amma='amma.nc'
-      call read_amma(fich_amma,nlev_amma,nt_amma
-     :     ,z_amma,plev_amma,th_amma,q_amma,u_amma,v_amma,vitw_amma
-     :     ,ht_amma,hq_amma,sens_amma,lat_amma)
+      call read_amma(fich_amma,nlev_amma,nt_amma                            &
+     &     ,z_amma,plev_amma,th_amma,q_amma,u_amma,v_amma,vitw_amma         &
+     &     ,ht_amma,hq_amma,sens_amma,lat_amma)
 
       write(*,*) 'Forcing AMMA lu'
@@ -318,9 +315,9 @@
 ! vertical interpolation using TOGA interpolation routine:
 !      write(*,*)'avant interp vert', t_proftwp
-      CALL interp_toga_vertical(play,nlev_amma,plev_amma
-     :         ,th_ammai,q_ammai,u_ammai,v_ammai,vitw_ammai
-     :         ,ht_ammai,vt_ammai,hq_ammai,vq_ammai
-     :         ,t_mod,q_mod,u_mod,v_mod,w_mod
-     :         ,ht_mod,vt_mod,hq_mod,vq_mod,mxcalc)
+      CALL interp_toga_vertical(play,nlev_amma,plev_amma                    &
+     &         ,th_ammai,q_ammai,u_ammai,v_ammai,vitw_ammai                 &
+     &         ,ht_ammai,vt_ammai,hq_ammai,vq_ammai                         &
+     &         ,t_mod,q_mod,u_mod,v_mod,w_mod                               &
+     &         ,ht_mod,vt_mod,hq_mod,vq_mod,mxcalc)
 !       write(*,*) 'Profil initial forcing TWP-ICE interpole',t_mod
 
@@ -351,6 +348,5 @@
        dt_cooling(l)=0.
       enddo     
-       write(*,*) 'Profil initial forcing AMMA interpole temp39',
-     &           temp(39)
+       write(*,*) 'Prof initeforcing AMMA interpole temp39',temp(39)
       
 
@@ -374,7 +370,7 @@
        write(*,*) 'Avant lecture Forcing Arm_Cu'
       fich_armcu = './ifa_armcu.txt'
-      CALL read_armcu(fich_armcu,nlev_armcu,nt_armcu,
-     : sens_armcu,flat_armcu,adv_theta_armcu,
-     : rad_theta_armcu,adv_qt_armcu)
+      CALL read_armcu(fich_armcu,nlev_armcu,nt_armcu,                       &
+     & sens_armcu,flat_armcu,adv_theta_armcu,                               &
+     & rad_theta_armcu,adv_qt_armcu)
        write(*,*) 'Forcing Arm_Cu lu'
 
@@ -391,6 +387,6 @@
 !----------------------------------------------------------------------
 
-      call readprofile_armcu(nlev_max,kmax,height,play_mod,u_mod,
-     .           v_mod,theta_mod,t_mod,qv_mod,rv_mod,ap,bp)
+      call readprofile_armcu(nlev_max,kmax,height,play_mod,u_mod,           &
+     &           v_mod,theta_mod,t_mod,qv_mod,rv_mod,ap,bp)
 
 ! time interpolation for initial conditions:
@@ -406,9 +402,9 @@
       print *,'dt_armcu=',dt_armcu
       print *,'nlev_armcu=',nlev_armcu
-      CALL interp_armcu_time(daytime,day1,annee_ref
-     i            ,year_ini_armcu,day_ju_ini_armcu,nt_armcu,dt_armcu
-     i            ,nlev_armcu,sens_armcu,flat_armcu,adv_theta_armcu
-     i            ,rad_theta_armcu,adv_qt_armcu,sens_prof,flat_prof
-     i            ,adv_theta_prof,rad_theta_prof,adv_qt_prof)
+      CALL interp_armcu_time(daytime,day1,annee_ref                         &
+     &            ,year_ini_armcu,day_ju_ini_armcu,nt_armcu,dt_armcu        &
+     &            ,nlev_armcu,sens_armcu,flat_armcu,adv_theta_armcu         &
+     &            ,rad_theta_armcu,adv_qt_armcu,sens_prof,flat_prof         &
+     &            ,adv_theta_prof,rad_theta_prof,adv_qt_prof)
        write(*,*) 'Forcages interpoles dans temps'
 
@@ -456,6 +452,6 @@
       do l = 1, llm
       plev(l+1) = ap(llm-l+1)+bp(llm-l+1)*psurf
-      print *,'Read_forc: l height play plev zlay temp',
-     :   l,height(l),play(l),plev(l),zlay(l),temp(l)
+      print *,'Read_forc: l height play plev zlay temp',                    &
+     &   l,height(l),play(l),plev(l),zlay(l),temp(l)
       enddo
 ! For this case, fluxes are imposed
@@ -482,7 +478,7 @@
 !----------------------------------------------------------------------
 
-      call readprofile_sandu(nlev_max,kmax,height,plev_profs,t_profs,
-     .           thl_profs,q_profs,u_profs,v_profs,
-     .           w_profs,omega_profs,o3mmr_profs)
+      call readprofile_sandu(nlev_max,kmax,height,plev_profs,t_profs,       &
+     &           thl_profs,q_profs,u_profs,v_profs,                         &
+     &           w_profs,omega_profs,o3mmr_profs)
 
 ! time interpolation for initial conditions:
@@ -500,16 +496,16 @@
       print *,'dt_sandu=',dt_sandu
       print *,'nlev_sandu=',nlev_sandu
-      CALL interp_sandu_time(daytime,day1,annee_ref
-     i             ,year_ini_sandu,day_ju_ini_sandu,nt_sandu,dt_sandu
-     i             ,nlev_sandu
-     i             ,ts_sandu,ts_prof)
+      CALL interp_sandu_time(daytime,day1,annee_ref                         &
+     &             ,year_ini_sandu,day_ju_ini_sandu,nt_sandu,dt_sandu       &
+     &             ,nlev_sandu                                              &
+     &             ,ts_sandu,ts_prof)
 
 ! vertical interpolation:
       print *,'Avant interp_vertical: nlev_sandu=',nlev_sandu
-      CALL interp_sandu_vertical(play,nlev_sandu,plev_profs
-     :         ,t_profs,thl_profs,q_profs,u_profs,v_profs,w_profs
-     :         ,omega_profs,o3mmr_profs
-     :         ,t_mod,thl_mod,q_mod,u_mod,v_mod,w_mod
-     :         ,omega_mod,o3mmr_mod,mxcalc)
+      CALL interp_sandu_vertical(play,nlev_sandu,plev_profs                 &
+     &         ,t_profs,thl_profs,q_profs,u_profs,v_profs,w_profs           &
+     &         ,omega_profs,o3mmr_profs                                     &
+     &         ,t_mod,thl_mod,q_mod,u_mod,v_mod,w_mod                       &
+     &         ,omega_mod,o3mmr_mod,mxcalc)
        write(*,*) 'Profil initial forcing SANDU interpole'
 
@@ -548,6 +544,6 @@
 ! read astex forcing :
       fich_astex = './ifa_astex.txt'
-      CALL read_astex(fich_astex,nlev_astex,nt_astex,div_astex,ts_astex,
-     :  ug_astex,vg_astex,ufa_astex,vfa_astex)
+      CALL read_astex(fich_astex,nlev_astex,nt_astex,div_astex,ts_astex,    &
+     &  ug_astex,vg_astex,ufa_astex,vfa_astex)
 
        write(*,*) 'Forcing Astex lu'
@@ -557,7 +553,7 @@
 !----------------------------------------------------------------------
 
-      call readprofile_astex(nlev_max,kmax,height,plev_profa,t_profa,
-     .           thl_profa,qv_profa,ql_profa,qt_profa,u_profa,v_profa,
-     .           w_profa,tke_profa,o3mmr_profa)
+      call readprofile_astex(nlev_max,kmax,height,plev_profa,t_profa,       &
+     &           thl_profa,qv_profa,ql_profa,qt_profa,u_profa,v_profa,      &
+     &           w_profa,tke_profa,o3mmr_profa)
 
 ! time interpolation for initial conditions:
@@ -575,17 +571,17 @@
       print *,'dt_astex=',dt_astex
       print *,'nlev_astex=',nlev_astex
-      CALL interp_astex_time(daytime,day1,annee_ref
-     i             ,year_ini_astex,day_ju_ini_astex,nt_astex,dt_astex
-     i             ,nlev_astex,div_astex,ts_astex,ug_astex,vg_astex
-     i             ,ufa_astex,vfa_astex,div_prof,ts_prof,ug_prof,vg_prof
-     i             ,ufa_prof,vfa_prof)
+      CALL interp_astex_time(daytime,day1,annee_ref                         &
+     &             ,year_ini_astex,day_ju_ini_astex,nt_astex,dt_astex       &
+     &             ,nlev_astex,div_astex,ts_astex,ug_astex,vg_astex         &
+     &             ,ufa_astex,vfa_astex,div_prof,ts_prof,ug_prof,vg_prof    &
+     &             ,ufa_prof,vfa_prof)
 
 ! vertical interpolation:
       print *,'Avant interp_vertical: nlev_astex=',nlev_astex
-      CALL interp_astex_vertical(play,nlev_astex,plev_profa
-     :         ,t_profa,thl_profa,qv_profa,ql_profa,qt_profa
-     :         ,u_profa,v_profa,w_profa,tke_profa,o3mmr_profa
-     :         ,t_mod,thl_mod,qv_mod,ql_mod,qt_mod,u_mod,v_mod,w_mod
-     :         ,tke_mod,o3mmr_mod,mxcalc)
+      CALL interp_astex_vertical(play,nlev_astex,plev_profa                 &
+     &         ,t_profa,thl_profa,qv_profa,ql_profa,qt_profa                &
+     &         ,u_profa,v_profa,w_profa,tke_profa,o3mmr_profa               &
+     &         ,t_mod,thl_mod,qv_mod,ql_mod,qt_mod,u_mod,v_mod,w_mod        &
+     &         ,tke_mod,o3mmr_mod,mxcalc)
        write(*,*) 'Profil initial forcing Astex interpole'
 
